# -*- coding: utf-8 -*-
import sys, os

project = u'gCube CMS Suite'
copyright = u'This software is part of the gCube Framework https://www.gcube-system.org/'
version = '1.0'
release = '1.0.0'

# General options
# themes https://sphinx-themes.org/
needs_sphinx = '1.0'
master_doc = 'suite'
pygments_style = 'tango'
add_function_parentheses = True

extensions = ['recommonmark', 'sphinx.ext.autodoc', 'sphinxcontrib.plantuml','sphinxemoji','sphinxcontrib.redoc']

templates_path = ['_templates']
exclude_trees = ['.build']
source_encoding = 'utf-8-sig'

# HTML options
html_theme = 'sphinx_rtd_theme'
html_short_title = "gcube-cms-suite"
htmlhelp_basename = 'gcube-cms-suite-docs'
html_use_index = True
html_show_sourcelink = True
html_static_path = ['_static']

# PlantUML options
plantuml = os.getenv('plantuml')